com.google.gwt.http.client

## Class RequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.gwt.http.client.RequestException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RequestPermissionException, RequestTimeoutException

    public class RequestException
    extends java.lang.Exception

RequestException is the superclass for the HTTP request related exceptions.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestException()`
`RequestException(java.lang.String message)`
`RequestException(java.lang.String message, java.lang.Throwable cause)`
`RequestException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestException

    public RequestException()

#### RequestException

    public RequestException(java.lang.String message)

#### RequestException

    public RequestException(java.lang.Throwable cause)

#### RequestException

    public RequestException(java.lang.String message,
                            java.lang.Throwable cause)